## org.eclipse.jst.pagedesigner.converter
Class PreferenceReader

    java.lang.Object
      org.eclipse.jst.pagedesigner.converter.PreferenceReader

    public class PreferenceReader

extends java.lang.Object

Version:
  1.5

Field Summary
`static int` `FULL_EXPRESSION_TYPE` expression type
`static int` `LAST_EXPRESSION_TYPE` expression type
`static int` `REAL_VALUE_TYPE` expression type

Constructor Summary
`PreferenceReader()`

Method Summary
`static int` `getMapValueType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL_EXPRESSION_TYPE

    public static final int FULL_EXPRESSION_TYPE

  expression type

  See Also:
    Constant Field Values

### LAST_EXPRESSION_TYPE

    public static final int LAST_EXPRESSION_TYPE

  expression type

  See Also:
    Constant Field Values

### REAL_VALUE_TYPE

    public static final int REAL_VALUE_TYPE

  expression type

  See Also:
    Constant Field Values

Constructor Detail

### PreferenceReader

    public PreferenceReader()

Method Detail

### getMapValueType

    public static int getMapValueType()

  Returns:
    the map value type